%define realname gsf-sharp

Name: lib%realname
License: GPL
Group: Development/Other
Version: 0.8.1
Release: alt2.qa1
Summary: Mono bindings for libgsf

Url: http://go-mono.com
Source: %realname-%version.tar.gz

Packager: Mono Maintainers Team <mono@packages.altlinux.org>

BuildRequires: gcc-c++ libgsf-devel libgtk-sharp2-gapi libgtk-sharp2-devel libgsf-gnome-devel
BuildRequires: libxml2-devel zlib-devel 
BuildRequires: /proc
BuildRequires: mono-devel mono-mcs rpm-build-mono

%description
Mono bindings for libgsf

%package devel
Summary: Development files %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
This package includes development files for the %name.

%prep
%setup -q -n %realname-%version
%__subst 's,libdir=@libdir@,libdir=${prefix}/lib,'  gsf-sharp.pc.in

%build
%configure
%make

%install
%make_install install DESTDIR=%buildroot

%files
%doc AUTHORS NEWS README COPYING
%_monogacdir/gsf-sharp
%_monodir/gtk-sharp
%_libdir/libgsfglue.so
%exclude %_libdir/libgsfglue.a

%files devel
%_pkgconfigdir/*
%_datadir/gapi-2.0/*.xml

%changelog
* Wed Sep 01 2010 Repocop Q. A. Robot <repocop@altlinux.org> 0.8.1-alt2.qa1
- NMU (by repocop): the following fixes applied:
  * deprecated-packages-info-i18n-common for libgsf-sharp
  * postclean-05-filetriggers for spec file

* Wed Jul 08 2009 Alexey Shabalin <shaba@altlinux.ru> 0.8.1-alt2
- move pkgconfig files from main to devel package

* Thu Nov 30 2006 Alexey Shabalin <shaba@altlinux.ru> 0.8.1-alt1
- 0.8.1
- fix build on x86_64
- adopt spec for rpm-build-mono
- add Packager

* Tue Dec 20 2005 Vital Khilko <vk@altlinux.ru> 0.6-alt1
- 0.6

* Thu Sep 01 2005 Vital Khilko <vk@altlinux.ru> 0.4-alt1
- initial build

